Summary:       ISO code lists and translations
Name:          iso-codes
Version:       4.15.0
Release:       2%{?dist}
License:       LGPLv2+
URL:           https://salsa.debian.org/iso-codes-team/iso-codes
Source0:       https://salsa.debian.org/iso-codes-team/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires: gettext python3 make
Requires:      xml-common

BuildArch:     noarch

%description
This package provides the ISO 639 Language code list, the ISO 4217
Currency code list, the ISO 3166 Territory code list, and ISO 3166-2
sub-territory lists, and all their translations in gettext format.

%package       devel
Summary:       Files for development using %{name}
Requires:      %{name} = %{version}-%{release}

%description devel
This package provides the pkg-config files for development when building
programs that use %{name}.

%prep
%autosetup -n %{name}-v%{version}

%build
%configure
%make_build

%install
%make_install INSTALL="%{__install} -p"

%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING
%doc CHANGELOG.md README.md
%dir %{_datadir}/xml/iso-codes
%{_datadir}/xml/iso-codes/*.xml
%{_datadir}/iso-codes

%files devel
%{_datadir}/pkgconfig/iso-codes.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.15.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 4.15.0-1
- upgrade to 4.15.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 14 2022 Shuo Wang <abushwang@tencent.com> - 4.11.0-1
- initial build

